classification
Title: Enhance test.pythoninfo: meta-ticket for multiple changes
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: vstinner, xiang.zhang
Priority: normal Keywords: patch

Created on 2018-05-31 13:42 by vstinner, last changed 2019-01-08 00:27 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7290 merged vstinner, 2018-05-31 22:05
PR 7298 merged vstinner, 2018-06-01 09:09
PR 7301 merged vstinner, 2018-06-01 09:13
PR 7304 merged vstinner, 2018-06-01 09:20
PR 7797 merged xiang.zhang, 2018-06-19 16:22
PR 7802 merged miss-islington, 2018-06-19 17:37
PR 7803 merged miss-islington, 2018-06-19 17:37
PR 11460 merged vstinner, 2019-01-07 22:32
PR 11460 merged vstinner, 2019-01-07 22:32
PR 11460 merged vstinner, 2019-01-07 22:32
Messages (8)
msg318309 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-05-31 13:42
Lib/test/pythoninfo.py is a tool to dump informations to help to debug test failures.

I create this issue to have a bpo number for future enhancements. For example, I now would like to get the version of the C compiler.
msg318347 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-05-31 22:33
New changeset 56013218864d5eb81baab4665fcae13400934078 by Victor Stinner in branch 'master':
bpo-33717: pythoninfo: add CC --version (#7290)
https://github.com/python/cpython/commit/56013218864d5eb81baab4665fcae13400934078
msg318384 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-01 10:10
New changeset b9afe645c4926b1f086f30ba9bd00671b0b8b55e by Victor Stinner in branch '3.6':
bpo-33692: Update pythoninfo from master (GH-7301)
https://github.com/python/cpython/commit/b9afe645c4926b1f086f30ba9bd00671b0b8b55e
msg318386 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-01 10:10
New changeset 466aae545786d2db5ac27f243c5d77aeb7a5958e by Victor Stinner in branch '3.7':
bpo-33692: Update pythoninfo from master (GH-7298)
https://github.com/python/cpython/commit/466aae545786d2db5ac27f243c5d77aeb7a5958e
msg318391 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-01 10:29
New changeset 0f642620a8a85ef0b5482f253205baf1865e05b2 by Victor Stinner in branch '2.7':
bpo-33692: Update pythoninfo from master (GH-7304)
https://github.com/python/cpython/commit/0f642620a8a85ef0b5482f253205baf1865e05b2
msg319990 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2018-06-19 18:02
New changeset b2dd5f1b667b37b5d36b39adc3a3aa6ebf59ef0b by Xiang Zhang (Miss Islington (bot)) in branch '2.7':
bpo-33717: set terse to True when calling platform.platform in test.pythoninfo (GH-7797) (GH-7803)
https://github.com/python/cpython/commit/b2dd5f1b667b37b5d36b39adc3a3aa6ebf59ef0b
msg319991 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2018-06-19 18:02
New changeset 6aa283a6036f80e5820db2beae98c62745fae96f by Xiang Zhang (Miss Islington (bot)) in branch '3.6':
bpo-33717: set terse to True when calling platform.platform in test.pythoninfo (GH-7797) (GH-7802)
https://github.com/python/cpython/commit/6aa283a6036f80e5820db2beae98c62745fae96f
msg333190 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-01-08 00:27
New changeset ddd7c422fd89a053700f9ed5272cf732ccb09088 by Victor Stinner in branch 'master':
bpo-33717: pythoninfo logs information of all clocks (GH-11460)
https://github.com/python/cpython/commit/ddd7c422fd89a053700f9ed5272cf732ccb09088
History
Date User Action Args
2019-01-08 00:27:31vstinnersetmessages: + msg333190
2019-01-07 22:33:03vstinnersetpull_requests: + pull_request10936
2019-01-07 22:32:57vstinnersetpull_requests: + pull_request10935
2019-01-07 22:32:51vstinnersetpull_requests: + pull_request10934
2018-09-19 23:06:51vstinnersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-06-19 18:02:45xiang.zhangsetmessages: + msg319991
2018-06-19 18:02:20xiang.zhangsetnosy: + xiang.zhang
messages: + msg319990
2018-06-19 17:37:30miss-islingtonsetpull_requests: + pull_request7407
2018-06-19 17:37:20miss-islingtonsetpull_requests: + pull_request7406
2018-06-19 16:22:31xiang.zhangsetpull_requests: + pull_request7405
2018-06-01 10:29:49vstinnersetmessages: + msg318391
2018-06-01 10:10:10vstinnersetmessages: + msg318386
2018-06-01 10:10:02vstinnersetmessages: + msg318384
2018-06-01 09:20:31vstinnersetpull_requests: + pull_request6936
2018-06-01 09:13:16vstinnersetpull_requests: + pull_request6932
2018-06-01 09:09:30vstinnersetpull_requests: + pull_request6928
2018-05-31 22:33:06vstinnersetmessages: + msg318347
2018-05-31 22:05:51vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request6917
2018-05-31 14:03:53vstinnersettitle: Enhance test.pythinfo: meta-ticket for multiple changes -> Enhance test.pythoninfo: meta-ticket for multiple changes
2018-05-31 13:42:39vstinnercreate